| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::text::ERStat Struct Reference
Scene Text Detection and Recognition » Scene Text Detection

The ERStat structure represents a class-specific Extremal Region (ER). More...

`#include <opencv2/text/erfilter.hpp>`

## Public Member Functions
| ERStat (int level=256, int pixel=0, int x=0, int y=0)
| Constructor. More...
| ~ERStat ()
| Destructor. More...

## Public Attributes
int | area
| incrementally computable features More...
double | central_moments [3]
| order 2 central moments to construct the covariance matrix More...
ERStat * | child
float | convex_hull_ratio
Ptr< std::deque< int > > | crossings
| horizontal crossings More...
int | euler
| Euler's number. More...
float | hole_area_ratio
| 2nd stage features More...
int | level
bool | local_maxima
| whenever the regions is a local maxima of the probability More...
ERStat * | max_probability_ancestor
float | med_crossings
| median of the crossings at three different height levels More...
ERStat * | min_probability_ancestor
ERStat * | next
float | num_inflexion_points
ERStat * | parent
| pointers preserving the tree structure of the component tree More...
int | perimeter
int | pixel
| seed point and the threshold (max grey-level value) More...
std::vector< int > * | pixels
ERStat * | prev
double | probability
| probability that the ER belongs to the class we are looking for More...
double | raw_moments [2]
| order 1 raw moments to derive the centroid More...
Rect | rect

## Detailed Description

The ERStat structure represents a class-specific Extremal Region (ER).

An ER is a 4-connected set of pixels with all its grey-level values smaller than the values in its outer boundary. A class-specific ER is selected (using a classifier) from all the ER's in the component tree of the image. :

## Constructor & Destructor Documentation

## ◆ ERStat()

cv::text::ERStat::ERStat | ( | int | level = `256`,
|  | int | pixel = `0`,
|  | int | x = `0`,
|  | int | y = `0`
| ) |  |
| explicit

Constructor.

## ◆ ~ERStat()

cv::text::ERStat::~ERStat | ( |  | ) |
| inline

Destructor.

## Member Data Documentation

## ◆ area

int cv::text::ERStat::area

incrementally computable features

## ◆ central_moments

double cv::text::ERStat::central_moments[3]

order 2 central moments to construct the covariance matrix

## ◆ child

ERStat* cv::text::ERStat::child

## ◆ convex_hull_ratio

float cv::text::ERStat::convex_hull_ratio

## ◆ crossings

Ptr<std::deque<int> > cv::text::ERStat::crossings

horizontal crossings

## ◆ euler

int cv::text::ERStat::euler

Euler's number.

## ◆ hole_area_ratio

float cv::text::ERStat::hole_area_ratio

2nd stage features

## ◆ level

int cv::text::ERStat::level

## ◆ local_maxima

bool cv::text::ERStat::local_maxima

whenever the regions is a local maxima of the probability

## ◆ max_probability_ancestor

ERStat* cv::text::ERStat::max_probability_ancestor

## ◆ med_crossings

float cv::text::ERStat::med_crossings

median of the crossings at three different height levels

## ◆ min_probability_ancestor

ERStat* cv::text::ERStat::min_probability_ancestor

## ◆ next

ERStat* cv::text::ERStat::next

## ◆ num_inflexion_points

float cv::text::ERStat::num_inflexion_points

## ◆ parent

ERStat* cv::text::ERStat::parent

pointers preserving the tree structure of the component tree

## ◆ perimeter

int cv::text::ERStat::perimeter

## ◆ pixel

int cv::text::ERStat::pixel

seed point and the threshold (max grey-level value)

## ◆ pixels

std::vector<int>* cv::text::ERStat::pixels

## ◆ prev

ERStat* cv::text::ERStat::prev

## ◆ probability

double cv::text::ERStat::probability

probability that the ER belongs to the class we are looking for

## ◆ raw_moments

double cv::text::ERStat::raw_moments[2]

order 1 raw moments to derive the centroid

## ◆ rect

Rect cv::text::ERStat::rect

The documentation for this struct was generated from the following file:

- opencv2/text/erfilter.hpp